Bug 872069 - SAM Upgrade (1.1 to 1.2) failed
SAM Upgrade (1.1 to 1.2) failed
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tom McKay
Og Maciel
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-01 02:41 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 13:23:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-11-01 02:41:37 EDT
Description of problem:
Upgrading SAM from 1.1 to 1.2 Failed

Version-Release number of selected component (if applicable):

#rpm -qa | grep katello
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-cli-common-0.3.5-2.el6_2.noarch
katello-glue-candlepin-0.3.3-1.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-all-0.2.13-1.el6_2.noarch
katello-configure-0.3.7-1.el6_2.noarch
katello-headpin-0.2.13-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-common-0.3.3-1.el6_2.noarch

# headpin -u admin -p admin version 
Headpin 0.2.13-1.el6_2

How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=sam

Steps to Reproduce:
1.Stop all the services (tomcat6,katello,thumbslug,katello-jobs)
2.yum update -y katello*
3.
  
Actual results:
Failed with errors:
Transaction Check Error:
  file /etc/katello/client.conf from install of katello-cli-1.2.1-1h.el6_3.noarch conflicts with file from package katello-cli-headpin-0.2.2-1.el6_2.noarch
  file /usr/bin/headpin from install of katello-cli-1.2.1-1h.el6_3.noarch conflicts with file from package katello-cli-headpin-0.2.2-1.el6_2.noarch

Error Summary
-------------


Expected results:
The upgrade should be successful

Additional info:
Comment 1 Og Maciel 2012-11-30 10:20:27 EST
This has been fixed.
Comment 2 Bryan Kearney 2013-06-07 13:23:52 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 3 Bryan Kearney 2013-06-07 13:25:29 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.